Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001937Inform 6Generalpublic2016-08-01 11:032016-09-29 01:03
Reporterzarf 
Assigned ToDavidK 
PrioritynormalSeveritymildReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0001937: Clean up platform section of header.h
Description(After discussion in http://inform7.com/mantis/view.php?id=1934 [^])

It's been a while since anyone looked at the machine section of the header.

Possible things we could do:

- Turn off USE_TEMPORARY_FILES for UNIX
- Combine UNIX and UNIX64
- Combine UNIX with Linux and/or MacOS
- Remove sections for OSes that are no longer used
- Add more sections (Android?)

My current notion is to just do the first two.

- UNIX and UNIX64 define exactly the same symbols. I think there might have been a typedef difference once (in subtract_pointers) but we cleaned that up.
- USE_TEMPORARY_FILES adds nothing on a system with virtual memory, or for that matter on a system with modern amounts of RAM.

I don't want to merge in the Linux or MacOS sections because there are differences (PATHLEN, the POSIX stuff) and I'm not enough of an expert to erase them.

I see no reason to remove old OSes, even Amiga or Acorn -- they cost nothing and history is important. And I'd be happy to add an Android section if someone contributes one.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004512)
zarf (developer)
2016-08-01 14:52

Importing DavidG's question: "Could you do it in such a way that one can define USE_TEMPORARY_FILES if desired?"

Yes, I'll leave the definitions of Temporary_Directory and INCLUDE_TASK_ID so that USE_TEMPORARY_FILES can be turned on by itself.
(0004513)
DavidG (developer)
2016-08-01 16:41

I agree with not merging Linux/Unix with MacOSX. There are too many weird differences between the two subdivisions of Unix.
(0004514)
DavidG (developer)
2016-08-01 17:09

How was the size of PATHLEN determined for UNIX, LINUX, PC*, and OSX?
(0004515)
zarf (developer)
2016-08-01 18:38

No clue.
(0004519)
zarf (developer)
2016-08-04 09:57
edited on: 2016-08-04 10:06

Did the two things I wanted: merged UNIX64 with UNIX, and removed USE_TEMPORARY_FILES from UNIX.

While I was in there, I cleaned up a few more things:

Renamed MACINTOSH block to MAC_CLASSIC, and OSX to MACOS.
Increased the default memory size on MACOS to HUGE_SIZE (to match UNIX and LINUX).

(0004520)
zarf (developer)
2016-08-04 10:00

Checked in. (Five commits.)
(0004521)
DavidG (developer)
2016-08-04 20:11

Should the LINUX block be deleted? It doesn't seem to define anything differently than the UNIX block except for the value of PATHLEN, which we don't know how was determined. Also, the LINUX block lacks the unique_task_id() code that most of the other blocks have.
(0004522)
zarf (developer)
2016-08-04 23:25

As I said in the other thread, I don't want to change PATHLEN without a solid reason.

The unique_task_id function is only used when USE_TEMPORARY_FILES is on, which is to say it's not used in the default UNIX/MACOS/LINUX configs. But I could add it to LINUX in case someone wants it (which is why it exists in the other blocks).

- Issue History
Date Modified Username Field Change
2016-08-01 11:03 zarf New Issue
2016-08-01 11:03 zarf Status new => assigned
2016-08-01 11:03 zarf Assigned To => zarf
2016-08-01 14:52 zarf Note Added: 0004512
2016-08-01 16:41 DavidG Note Added: 0004513
2016-08-01 17:09 DavidG Note Added: 0004514
2016-08-01 18:38 zarf Note Added: 0004515
2016-08-04 04:41 DavidG Issue Monitored: DavidG
2016-08-04 04:46 DavidG Assigned To zarf => DavidG
2016-08-04 04:46 DavidG Assigned To DavidG => zarf
2016-08-04 09:57 zarf Note Added: 0004519
2016-08-04 10:00 zarf Note Added: 0004520
2016-08-04 10:01 zarf Assigned To zarf => DavidK
2016-08-04 10:06 zarf Note Edited: 0004519 View Revisions
2016-08-04 20:11 DavidG Note Added: 0004521
2016-08-04 23:25 zarf Note Added: 0004522
2016-09-29 01:03 DavidK Status assigned => resolved
2016-09-29 01:03 DavidK Resolution open => fixed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker